Package org.gradle.plugins.ide.eclipse.model

# Class WbProperty

java.lang.Object
org.gradle.plugins.ide.eclipse.model.WbProperty

All Implemented Interfaces:
  `WbModuleEntry`

public class WbProperty extends Object implements WbModuleEntry
A wtp descriptor property entry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WbProperty(Node node)`
  `WbProperty(String name, String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendNode(Node node)`
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  `String`
  `getValue()`
  `int`
  `hashCode()`
  `void`
  `setName(String name)`
  `void`
  `setValue(String value)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WbProperty

    public WbProperty(Node node)

  - ### WbProperty

    public WbProperty(String name, String value)

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getValue

    public String getValue()

  - ### setValue

    public void setValue(String value)

  - ### appendNode

    public void appendNode(Node node)
    Specified by:
      `appendNode` in interface `WbModuleEntry`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`